所需权限:
invoice:read路径参数
string
required
发票 ID(
invoice_id)请求体
string
required
账单地址
string
required
individual 需要 name;business 需要 company_namestring
公司名称
string
联系邮箱
string
人员姓名
string
纳税人识别号
响应
object
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X PUT 'https://app.memorylake.cn/openapi/memorylake/admin/v1/billing/invoices/2501a637ff332794f7dc5edee0556e67/billing-details' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"address": "example",
"invoice_type": "individual",
"company_name": "Example company",
"contact_email": "alice@example.com",
"name": "Example name",
"tax_id": "4155f354c126224a5833bdd25597ea80"
}'
{
"success": true,
"message": "Operation completed successfully",
"data": {
"address": "example",
"company_name": "Example company",
"contact_email": "alice@example.com",
"invoice_id": "19c056571f855cb3f9252ccbcaada863",
"invoice_type": "individual",
"name": "Example name",
"saved": false,
"tax_id": "42e837c2d259aa902d4196922464cfeb",
"updated_at": 1760000000
}
}
替换已付款发票上打印的购买方信息(未提供的字段会被清空)
curl -X PUT 'https://app.memorylake.cn/openapi/memorylake/admin/v1/billing/invoices/2501a637ff332794f7dc5edee0556e67/billing-details' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"address": "example",
"invoice_type": "individual",
"company_name": "Example company",
"contact_email": "alice@example.com",
"name": "Example name",
"tax_id": "4155f354c126224a5833bdd25597ea80"
}'
{
"success": true,
"message": "Operation completed successfully",
"data": {
"address": "example",
"company_name": "Example company",
"contact_email": "alice@example.com",
"invoice_id": "19c056571f855cb3f9252ccbcaada863",
"invoice_type": "individual",
"name": "Example name",
"saved": false,
"tax_id": "42e837c2d259aa902d4196922464cfeb",
"updated_at": 1760000000
}
}
PUT /openapi/memorylake/admin/v1/billing/invoices/{invoice_id}/billing-details
invoice:readinvoice_id)individual 需要 name;business 需要 company_namecurl -X PUT 'https://app.memorylake.cn/openapi/memorylake/admin/v1/billing/invoices/2501a637ff332794f7dc5edee0556e67/billing-details' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"address": "example",
"invoice_type": "individual",
"company_name": "Example company",
"contact_email": "alice@example.com",
"name": "Example name",
"tax_id": "4155f354c126224a5833bdd25597ea80"
}'
{
"success": true,
"message": "Operation completed successfully",
"data": {
"address": "example",
"company_name": "Example company",
"contact_email": "alice@example.com",
"invoice_id": "19c056571f855cb3f9252ccbcaada863",
"invoice_type": "individual",
"name": "Example name",
"saved": false,
"tax_id": "42e837c2d259aa902d4196922464cfeb",
"updated_at": 1760000000
}
}